const { gql } = require('apollo-server-express');

module.exports = gql`

    type Departement {
        id: ID!
        title: String!
        description: String
        status: Int!
        createdAt: DateTime
        updatedAt: DateTime
        deleteAt: DateTime
        institution: Institution
        agents: [Agent!]
    }

    extend type Query {
        findAllDepartement: (patientId: String!): Contact!
    }

    extend type Mutation {
        createContact(input: inputContact!): Contact!
    }

    type inputContact {
        patientId: String!
        nomComplet: String!
        phoneNumber: String!
        email: String
        adresse: String
        medecinTraitant: Boolean
        medecinReferent: Boolean
        correspodant: Boolean
        lienFamiliaux: Boolean
    }

`;